Bug 1566824 - makefile contains wrong link
Summary: makefile contains wrong link
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: petsc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 04:32 UTC by david08741
Modified: 2018-05-30 15:17 UTC (History)
1 user (show)

Fixed In Version: petsc-3.8.3-5.fc28 petsc-3.8.3-5.fc27 petsc-3.8.3-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 14:03:17 UTC
Type: Bug


Attachments (Terms of Use)

Description david08741 2018-04-13 04:32:42 UTC
Description of problem:
The file /usr/lib64/petsc-3.8.3/conf/variables ends with:
include ${PETSC_DIR}/lib64/petsc/conf/petscvariables
However - no such file is provides


Version-Release number of selected component (if applicable):
petsc-mpich-3.8.3-2.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. Try to compile anything that requires the petsc config make files

Actual results:
Get an error that /lib64/petsc/conf/petscvariables does not exist

Expected results:
No error

Additional info:
it should be
/lib64/petsc-3.8.3/conf/petscvariables
rather then
/lib64/petsc/conf/petscvariables


Partially unrelated question:
Should ${PETSC_DIR} be replaced with /usr ?

Comment 1 Fedora End Of Life 2018-05-03 07:52:11 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 david08741 2018-05-03 13:44:08 UTC
Same issue in fedora 27

Comment 3 Antonio T. (sagitter) 2018-05-03 15:53:19 UTC
Let me check.

Comment 4 david08741 2018-05-04 15:22:01 UTC
Another issue I just noticed:
PETSC_CC_INCLUDE is missing -I/usr/include/petsc
This is fine for the MPI versions (they contain -I/usr/include/mpich-x86_64/petsc)

Thanks for looking into it.

Comment 5 Antonio T. (sagitter) 2018-05-05 12:46:11 UTC
(In reply to david08741 from comment #4)
> Another issue I just noticed:
> PETSC_CC_INCLUDE is missing -I/usr/include/petsc
> This is fine for the MPI versions (they contain
> -I/usr/include/mpich-x86_64/petsc)
> 
> Thanks for looking into it.

That variable, and not only, is set in the 'petscvariables' files of same directory.

> Partially unrelated question:
> Should ${PETSC_DIR} be replaced with /usr ?

This variable can be set when you build the project that needs Petsc.

Please, test new PETsc-3.9.0 from my Copr project:
http://copr-fe.cloud.fedoraproject.org/coprs/sagitter/ForTesting/

New variable's directory is unversioned.

Comment 6 david08741 2018-05-08 15:45:16 UTC
The new version seems mostly fine - thanks.

I looked at /usr/lib64/petsc/conf/petscvariables which sets `PETSC_CC_INCLUDE`.
It does set it to:
PETSC_CC_INCLUDES = -I/usr/include -I/usr/include -I/usr/include/suitesparse -I/usr/include/SuperLU -I/usr/include/petsc/mpiuni

But I think it should be 
PETSC_CC_INCLUDES = -I/usr/include -I/usr/include/petsc -I/usr/include/suitesparse -I/usr/include/SuperLU -I/usr/include/petsc/mpiuni
or maybe
PETSC_CC_INCLUDES = -I/usr/include/petsc -I/usr/include/suitesparse -I/usr/include/SuperLU -I/usr/include/petsc/mpiuni

Comment 7 Fedora Update System 2018-05-11 17:56:40 UTC
petsc-3.8.3-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9fff9588cb

Comment 8 Fedora Update System 2018-05-11 17:56:47 UTC
petsc-3.8.3-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bc4b81f6e3

Comment 9 Fedora Update System 2018-05-11 17:56:53 UTC
petsc-3.8.3-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b96f195fbd

Comment 10 Fedora Update System 2018-05-12 19:36:07 UTC
petsc-3.8.3-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bc4b81f6e3

Comment 11 Fedora Update System 2018-05-12 20:23:17 UTC
petsc-3.8.3-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b96f195fbd

Comment 12 Fedora Update System 2018-05-12 20:43:34 UTC
petsc-3.8.3-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9fff9588cb

Comment 13 Fedora Update System 2018-05-21 14:03:17 UTC
petsc-3.8.3-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-05-21 14:20:33 UTC
petsc-3.8.3-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-05-30 15:17:23 UTC
petsc-3.8.3-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.